%define	name	dosbox
%define version 0.74
%define release %mkrel 1
%define	Summary	A DOS emulator
%define Werror_cflags %nil

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
Source0:	http://prdownloads.sourceforge.net/dosbox/%{name}-%{version}.tar.xz
Source1:	%{name}.png
License:	GPL
Group:		Emulators
URL:		http://dosbox.sourceforge.net/
BuildRequires:	png-devel SDL-devel SDL_net-devel SDL_sound-devel mesaglu-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
DOSBox is a DOS-emulator that uses the SDL-library which makes
DOSBox very easy to port to different platforms. DOSBox has
already been ported to many different platforms, such as
Windows, BeOS, Linux, MacOS X...

DOSBox also emulates CPU:286/386 realmode/protected mode,
Directory FileSystem/XMS/EMS, Tandy/Hercules/CGA/EGA/VGA/VESA
graphics, a SoundBlaster/Gravis Ultra Sound card for excellent
sound compatibility with older games...

You can "re-live" the good old days with the help of DOSBox,
it can run plenty of the old classics that don't run on your
new computer!

%prep
%setup -q

%build
%configure2_5x	--enable-core-inline

%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=DOSBox
Comment=%{Summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;X-MandrivaLinux-MoreApplications-Emulators;
EOF


# icons
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
install -m 644 %SOURCE1 %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE1 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
convert -scale 32 %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/%name.png
convert -scale 16 %buildroot/%_miconsdir/%name.png %buildroot/%_miconsdir/%name.png

rm -rf %{buildroot}%{_datadir}/doc/dosbox

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(755,root,root,755)
%{_bindir}/%{name}
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%{_mandir}/man1/*.1.bz2
%{_datadir}/applications/%name.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Mon Jul 11 2011 Texstar <texstar at gmail.com> 0.74-1pclos2011
- 0.74

* Mon Jun 01 2009 slick50 <lxgator@gmail.com> 0.73-1pclos2009
- 0.73

* Tue Jul 31 2007 Torbjorn Turpeinen <tobbe@djura.org> 0.71-1
- 0.71

* Sat Jun 02 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.70-3
- Rebuilt for pclos 2007

